
- include_vars: "{{ '%s/defaults/main.yml' | format(pkgrole.path) }}"

- set_fact:
    system_gathered_packages: >-
      {% set pkgs = [] -%}
      {% if (package_packages | default({}))[system_name] is defined -%}
      {%   for pkg in package_packages[system_name] -%}
      {%     if not pkg in (system_gathered_packages | default([])) -%}
      {%       do pkgs.append(pkg) -%}
      {%     endif -%}
      {%   endfor -%}
      {% endif -%}
      {{ (system_gathered_packages | default([])) + pkgs }}
